FROM debian:trixie-slim

# locales
RUN apt-get update && apt-get install -y locales && rm -rf /var/lib/apt/lists/* \
    && localedef -i en_US -c -f UTF-8 -A /usr/share/locale/locale.alias en_US.UTF-8 \
    && rm -rf /var/cache/apt/archives/*
ENV LANG=en_US.utf8

# configs
COPY .bashrc /root/.bashrc
COPY inputrc /etc/inputrc

# base soft
RUN apt-get update && apt-get install -y subversion git zip unzip wget curl htop net-tools iputils-ping mc nano screen g++ patchelf p7zip-full ninja-build \
 && rm -rf /var/cache/apt/archives/*

# last cmake from sources, into /opt
ENV CUR_CMAKE_VERSION=3.20.0
WORKDIR /soft
RUN wget -nv https://shstk.ru/files/cmake-${CUR_CMAKE_VERSION}-Linux-x86_64.sh \
 && mkdir -p /opt/cmake \
 && bash ./cmake-${CUR_CMAKE_VERSION}-Linux-x86_64.sh --skip-license --prefix=/opt/cmake \
 && rm -rf /soft/cmake-${CUR_CMAKE_VERSION}-Linux-x86_64.sh
ENV PATH=/opt/cmake/bin:$PATH 
